#============================================================================
# install_files.mk

INSTALL_FILES_MK =

# prerequisite: create_am_macros.mk

# this snippet defines a sequence of shell commands which will
#
#   * install files to a directory
#   * uninstall files from a directory
#
# when installing, it checks for each file in the current directory;
# and if not found there, assumes it is in $srcdir.
#
# To use this, set these shell variables
#
#  files - the files to copy
#  dir   - the directory where the files are to be installed
#
# and then interpolate $(install_files).  For example
#
#
#  files=$(_HTML); dir=$(htmldir); $(install_files)

install_files = \
	$(MKDIR_P) $(DESTDIR)$$dir; \
	list="$${files}"; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(strip_dir) \
	  echo " $(INSTALL_DATA) '$$d$$p' '$(DESTDIR)$${dir}/$$f'"; \
	  $(INSTALL_DATA) "$$d$$p" "$(DESTDIR)$${dir}/$$f"; \
	done

uninstall_files = \
	list="$${files}"; \
	for p in $$list; do \
	  f=$(strip_dir) \
	  echo " rm -f '$(DESTDIR)$${dir}/$$f'"; \
	  rm -f "$(DESTDIR)$${dir}/$$f"; \
	done \
	&& { rmdir "$(DESTDIR)$${dir}" || true; }
